Bug 826884 - (CVE-2012-2664) CVE-2012-2664 sosreport does not blank root password in anaconda plugin
CVE-2012-2664 sosreport does not blank root password in anaconda plugin
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120214,reported=2...
: Security
Depends On: 790402 968195
Blocks: 784298
  Show dependency treegraph
 
Reported: 2012-05-31 04:14 EDT by Huzaifa S. Sidhpurwala
Modified: 2013-10-03 22:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 22:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-05-31 04:14:40 EDT
It was found that sosreport's "anaconda" plugin collects /root/anaconda-ks.cfg, which contains the root password for the system, possibly crypt'd, possibly plain.

sosreport should blank this password in a similar way to the ldap plugin's treatment of bindpw in /etc/ldap.conf
Comment 2 errata-xmlrpc 2012-06-20 03:26:25 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0958 https://rhn.redhat.com/errata/RHSA-2012-0958.html
Comment 11 errata-xmlrpc 2013-07-30 12:59:27 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1121 https://rhn.redhat.com/errata/RHSA-2013-1121.html
Comment 12 Huzaifa S. Sidhpurwala 2013-10-03 22:31:56 EDT
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.